Update a webhook
curl --request PUT \
--url https://api.tuteliq.ai/api/v1/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"events": [],
"is_active": true,
"headers": {}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', url: '<string>', events: [], is_active: true, headers: {}})
};
fetch('https://api.tuteliq.ai/api/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/webhooks/{webhookId}"
payload = {
"name": "<string>",
"url": "<string>",
"events": [],
"is_active": True,
"headers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"events\": [],\n \"is_active\": true,\n \"headers\": {}\n}")
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/webhooks/{webhookId}")
.put(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = [
"name": "<string>",
"url": "<string>",
"events": [],
"is_active": true,
"headers": []
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.tuteliq.ai/api/v1/webhooks/{webhookId}")!
var request = URLRequest(url: url)
request.httpMethod = "PUT"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/webhooks/{webhookId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"events\": [],\n \"is_active\": true,\n \"headers\": {}\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"is_active": true,
"updated_at": "<string>"
}Update a webhook
Update an existing webhook configuration
PUT
/
api
/
v1
/
webhooks
/
{webhookId}
Update a webhook
curl --request PUT \
--url https://api.tuteliq.ai/api/v1/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"events": [],
"is_active": true,
"headers": {}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', url: '<string>', events: [], is_active: true, headers: {}})
};
fetch('https://api.tuteliq.ai/api/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/webhooks/{webhookId}"
payload = {
"name": "<string>",
"url": "<string>",
"events": [],
"is_active": True,
"headers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"events\": [],\n \"is_active\": true,\n \"headers\": {}\n}")
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/webhooks/{webhookId}")
.put(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = [
"name": "<string>",
"url": "<string>",
"events": [],
"is_active": true,
"headers": []
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.tuteliq.ai/api/v1/webhooks/{webhookId}")!
var request = URLRequest(url: url)
request.httpMethod = "PUT"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/webhooks/{webhookId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"events\": [],\n \"is_active\": true,\n \"headers\": {}\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"is_active": true,
"updated_at": "<string>"
}Authorizations
bearerAuthapiKeyHeader
API key as Bearer token
Path Parameters
Body
application/json
Required string length:
1 - 100Pattern:
^https://Required array length:
1 - 5 elementsAvailable options:
incident.critical, incident.high, grooming.detected, self_harm.detected, bullying.severe, verification.completed, minor.detected, csam.detected, csam.critical Show child attributes
Show child attributes
⌘I